Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::RevocationArrayInfo Class Reference

Inherits Object.

## Public Member Functions
| RevocationArrayInfo ()
| Constructor.
| RevocationArrayInfo (const RevocationArrayInfo &other)
| Constructor, with another revocation array information object. More...
| RevocationArrayInfo (const StringArray &ocsp_array, const StringArray &crl_array)
| Constructor, with parameters. More...
| ~RevocationArrayInfo ()
| Destructor.
bool | operator!= (const RevocationArrayInfo &other) const
| Not equal operator. More...
RevocationArrayInfo & | operator= (const RevocationArrayInfo &other)
| Assign operator. More...
bool | operator== (const RevocationArrayInfo &other) const
| Equal operator. More...
void | Set (const StringArray &ocsp_array, const StringArray &crl_array)
| Set value. More...

## Public Attributes
StringArray | crl_array
| An array of CRL response content.
StringArray | ocsp_array
| An array of OCSP response content.

## Detailed Description

This class represents information in array type of revocation information.

## Constructor & Destructor Documentation

## ◆ RevocationArrayInfo() [1/2]

foxit::pdf::RevocationArrayInfo::RevocationArrayInfo | ( | const StringArray & | ocsp_array,
|  | const StringArray & | crl_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | ocsp_array | An array of OCSP response content.
  [in] | crl_array | An array of CRL response content.

## ◆ RevocationArrayInfo() [2/2]

foxit::pdf::RevocationArrayInfo::RevocationArrayInfo | ( | const RevocationArrayInfo & | other | ) |
| inline

Constructor, with another revocation array information object.

Parameters

  [in] | other | Another revocation array information object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::pdf::RevocationArrayInfo::operator!= | ( | const RevocationArrayInfo & | other | ) | const
| inline

Not equal operator.

Parameters

  [in] | other | Another revocation array information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

RevocationArrayInfo& foxit::pdf::RevocationArrayInfo::operator= | ( | const RevocationArrayInfo & | other | ) |
| inline

Assign operator.

Parameters

  [in] | other | Another revocation array information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::RevocationArrayInfo::operator== | ( | const RevocationArrayInfo & | other | ) | const
| inline

Equal operator.

Parameters

  [in] | other | Another revocation array information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Set()

void foxit::pdf::RevocationArrayInfo::Set | ( | const StringArray & | ocsp_array,
|  | const StringArray & | crl_array
| ) |  |
| inline

Set value.

Parameters

  [in] | ocsp_array | An array of OCSP response content.
  [in] | crl_array | An array of CRL response content.

Returns
  None.